#!/bin/sh
if [ $# -lt 3 ] ; then
    echo "USAGE: $0 ProductKey DeviceName DeviceSecret [Host] [Port]. '[..]' are optional parameters."
    exit 1;
fi

cd $(readlink -f $(dirname $0))/../bin
./deploy_sst
sleep 1
./mbusd
sleep 1
./irot-service &>/dev/null &
sleep 1
./keychain-service &>/dev/null &
sleep 1
./config-manager &>/dev/null &
sleep 1

#./tool_config -s gw_dimu_devicetuple "[[\"$1\",\"$2\",\"$3\"]]"
./tool_config -g3 "$1" "$2" "$3" 

if [ $# == 5 ] ; then
    ./tool_config -s gw_system_as_host "$4"
    ./tool_config -s gw_system_as_port "$5"
fi

./tool_config -kc
sleep 1 # wait configuration save to disk

sync
cd - &>/dev/null
